Commit bf8757b8e2f91d810910cee096bca726d0f5d5d9

Authored by Silvan Calarco
1 parent 906caeb7ae
Exists in master

- modify network into RedHat style to work with NetworkManager ifcfg-rh plugin:

* use /etc/sysconfig/network-scripts instead of /etc/sysconfig/network-devices
   * use ifcfg-* interface configuration files instead of ifconfig.*

Showing 16 changed files with 26 additions and 18 deletions Side-by-side Diff

  1 +Changes in version 1.5.1 <silvan.calarco@mambasoft.it> 20110427
  2 +- modify network into RedHat style to work with NetworkManager ifcfg-rh plugin:
  3 + * use /etc/sysconfig/network-scripts instead of /etc/sysconfig/network-devices
  4 + * use ifcfg-* interface configuration files instead of ifconfig.*
  5 +--------------------------------------------------------------------------------
  6 +
1 7 Changes in version 1.5.0 <silvan.calarco@mambasoft.it> 20110406
2 8 - Integrate patches by Dabive Madrisan for dash compatibility and cleanups:
3 9 * dash compatibility (functions,rc): sourced script with arguments
... ... @@ -61,7 +61,7 @@
61 61 $(INSTALL_DIR) $(DESTDIR)/sbin
62 62 $(INSTALL_DIR) $(DESTDIR)$(localstatedir)/run
63 63 $(INSTALL_DIR) $(DESTDIR)$(localstatedir)/log
64   - $(INSTALL_DIR) $(DESTDIR)$(sysconfigdir)/modules.d/
  64 + $(INSTALL_DIR) $(DESTDIR)$(sysconfdir)/modules.d/
65 65  
66 66 install-files:
67 67 touch $(DESTDIR)$(localstatedir)/run/utmp
68 68  
... ... @@ -83,9 +83,11 @@
83 83 echo "ChangeLog not updated; not releasing" 1>&2;\
84 84 exit 1;; \
85 85 esac
  86 + @mkdir /tmp/$(distdir)
  87 + @cp -a * /tmp/$(distdir)/
86 88 @rm -f $(dist_archive);\
87   - tar cf - --exclude=$(PACKAGE)*.bz2 -C .. $(distdir) |\
88   - bzip2 -9 -c > $(dist_archive)
  89 + tar cf - -C /tmp $(distdir) | bzip2 -9 -c > $(dist_archive)
  90 + @rm -rf /tmp/$(distdir)
89 91 @echo "file \`$(dist_archive)' created"
90 92  
91 93 dist-rpm: dist
1   -VERSION = 1.5.0
  1 +VERSION = 1.5.1
etc/rc.d/init.d/network
... ... @@ -26,8 +26,8 @@
26 26 tempfile=`tempfile 2>/dev/null` || tempfile=/tmp/network_makefile_$$
27 27 trap "rm -f $tempfile" HUP INT QUIT ABRT KILL TERM
28 28  
29   - for file in `grep -il "ONBOOT=yes" $network_devices/ifconfig.* 2>/dev/null`; do
30   - interface=$(basename $file | sed "s/ifconfig.//")
  29 + for file in `grep -il "ONBOOT=yes" $network_devices/ifcfg-* 2>/dev/null`; do
  30 + interface=$(basename $file | sed "s/ifcfg.//")
31 31 case "$interface" in
32 32 *~) ;;
33 33 *) parentinterface=$(echo $interface | sed s/:.*// )
... ... @@ -58,8 +58,8 @@
58 58 evaluate_retval
59 59 echo
60 60 fi
61   - for file in `grep -il "ONBOOT=yes" $network_devices/ifconfig.* 2>/dev/null`; do
62   - interface=$(basename $file | sed s/ifconfig.//)
  61 + for file in `grep -il "ONBOOT=yes" $network_devices/ifcfg-* 2>/dev/null`; do
  62 + interface=$(basename $file | sed s/ifcfg-//)
63 63 case "$interface" in
64 64 *~) ;;
65 65 *) echo -n $"Bringing down the $interface interface: "
etc/rc.d/init.d/network-functions
... ... @@ -2,7 +2,7 @@
2 2 #
3 3 # network-functions: Network functions script for openmamba
4 4 #
5   -# Copyright (c) 2003-2005 by Silvan Calarco <silvan.calarco@mambasoft.it>
  5 +# Copyright (c) 2003-2011 by Silvan Calarco <silvan.calarco@mambasoft.it>
6 6 # Copyright (c) 2003-2005,2011 by Davide Madrisan <davide.madrisan@gmail.com>
7 7  
8 8 . /etc/sysconfig/rc
... ... @@ -146,8 +146,8 @@
146 146  
147 147 int_static_ip=1
148 148 # this check was written to avoid backward compatibility issues
149   - if [ -r $network_devices/ifconfig.$int_name ]; then
150   - if grep -Eq "^BOOTPROTO=dhcp" $network_devices/ifconfig.$int_name; then
  149 + if [ -r $network_devices/ifcfg-$int_name ]; then
  150 + if grep -Eq "^BOOTPROTO=dhcp" $network_devices/ifcfg-$int_name; then
151 151 int_static_ip=0
152 152 fi
153 153 fi
etc/sysconfig/network-devices/ifdown
1   -/sbin/ifdown
etc/sysconfig/network-devices/ifup
1   -/sbin/ifup
etc/sysconfig/network-devices/ifup-routes
1   -#!/bin/sh
2   -# adds static routes which go through device $1
3   -
4   -DEVICE="$1"
5   -
6   -if [ -z "${DEVICE}" ]; then
7   - echo $"usage: ifup-routes <net-device>"
8   - exit 1
9   -fi
10   -
11   -[ -r /etc/sysconfig/static-routes ] || exit 0
12   -
13   -grep -v "^#\|^[ \t]*$" /etc/sysconfig/static-routes | while read dev args; do
14   - [ "$dev" = "${DEVICE}" ] && /sbin/route add ${args} dev ${dev}
15   -done
etc/sysconfig/network-devices/ifup-wireless
1   -#!/bin/sh
2   -# Copyright (c) 2003-2009 by Silvan Calarco <silvan.calarco@mambasoft.it>
3   -# Copyright (c) 2003-2009 by Davide Madrisan <davide.madrisan@gmail.com>
4   -
5   -# Only meant to be called from ifup.
6   -
7   -unset WIRELESS_OPTS WIRELESS_OPTS2
8   -
9   -if [ "$WIRELESS_ESSID" ]; then
10   - tmpfile=`tempfile`
11   - tmpfile1=`tempfile`
12   -
13   - if [ "$tmpfile" ]; then
14   - ifconfig ${DEVICE} up
15   -# sleep 1
16   - unset vname found_essid
17   - # Note: iwlist scan essid option does not work with all drivers (see man iwlist)
18   - # so we split cell information below
19   - iwlist ${DEVICE} scan essid $WIRELESS_ESSID > $tmpfile
20   - # Note: sometimes iwlist scan fails with "Device or resource busy", so we try again
21   - [ -s $tmpfile ] || {
22   - ifconfig ${DEVICE} down
23   - ifconfig ${DEVICE} up
24   - iwlist ${DEVICE} scan essid $WIRELESS_ESSID > $tmpfile
25   - }
26   - cat $tmpfile | \
27   - while read line; do
28   - if [ "${line:0:5}" = "Cell " ]; then
29   - [ "$found_essid" ] && break || > $tmpfile1
30   - fi
31   - echo $line >> $tmpfile1
32   - [ "$line" = "ESSID:\"$WIRELESS_ESSID\"" ] && found_essid=1
33   - done
34   - > $tmpfile
35   - cat $tmpfile1 | \
36   - while read line; do
37   - vname=${line/:*}
38   - if [ "${line:0:4}" = "Cell" ]; then
39   - vname="${line/* }"
40   - vval=${line/*Address:}
41   - vname="Address"
42   - elif [ "${line/Unknown:}" != "$line" ]; then
43   - continue
44   - else
45   - vname=${line/:*}
46   - vname=`echo ${vname} | tr ' ' _`
47   - vname=${vname/_(1)}
48   - vval=${line/*:}
49   - fi
50   - vname=WIRELESS_AUTO_${vname/* }
51   - vval=${vval/ }
52   - vval=\"${vval/GHz*}\"
53   - if [ "$vname" = "WIRELESS_AUTO_Mode" -o "$vname" = "WIRELESS_AUTO_Channel" -o \
54   - "$vname" = "WIRELESS_AUTO_Address" -o "$vname" = "WIRELESS_AUTO_Frequency" -o \
55   - "$vname" = "WIRELESS_AUTO_IE" -o "$vname" = "WIRELESS_AUTO_Group_Cipher" -o \
56   - "$vname" = "WIRELESS_AUTO_Pairwise_Ciphers" -o "$vname" = "WIRELESS_AUTO_Authentication_Suites" ]; then
57   - echo $vname=$vval >> $tmpfile
58   - fi
59   - done
60   - . $tmpfile
61   - rm -f $tmpfile $tmpfile1
62   - else
63   - echo "Warning: unable to create temporary file; skipping wireless autodetection"
64   - fi
65   -fi
66   -
67   -if [ "$WIRELESS_MODE" ]; then
68   - WIRELESS_OPTS="$WIRELESS_OPTS mode $WIRELESS_MODE"
69   - #elif [ "$WIRELESS_AUTO_MODE" ]; then
70   - # WIRELESS_OPTS="$WIRELESS_OPTS mode $WIRELESS_AUTO_Mode"
71   - #else
72   - #WIRELESS_OPTS="$WIRELESS_OPTS mode managed"
73   -fi
74   -if [ ! "$WIRELESS_ENCMODE" ]; then
75   - WIRELESS_ENCMODE="open"
76   -fi
77   -if [ "$WIRELESS_ESSID" ]; then
78   - WIRELESS_OPTS="$WIRELESS_OPTS essid $WIRELESS_ESSID"
79   -fi
80   -if [ "$WIRELESS_NWID" ]; then
81   - WIRELESS_OPTS="$WIRELESS_OPTS nwid $WIRELESS_NWID"
82   -fi
83   -if [ "$WIRELESS_CHANNEL" ]; then
84   - WIRELESS_OPTS="$WIRELESS_OPTS channel $WIRELESS_CHANNEL"
85   -elif [ "$WIRELESS_AUTO_Channel" ]; then
86   - WIRELESS_OPTS="$WIRELESS_OPTS channel $WIRELESS_AUTO_Channel"
87   -fi
88   -if [ "$WIRELESS_FREQUENCY" ]; then
89   - WIRELESS_OPTS="$WIRELESS_OPTS freq $WIRELESS_FREQUENCY"
90   -elif [ "$WIRELESS_AUTO_Frequency" ]; then
91   - WIRELESS_OPTS="$WIRELESS_OPTS freq ${WIRELESS_AUTO_Frequency}G"
92   -fi
93   -if [ "$WIRELESS_AP" ]; then
94   - WIRELESS_OPTS2="$WIRELESS_OPTS2 ap $WIRELESS_AP"
95   -elif [ "$WIRELESS_AUTO_Address" ]; then
96   - WIRELESS_OPTS2="$WIRELESS_OPTS2 ap $WIRELESS_AUTO_Address"
97   -fi
98   -if [ "$WIRELESS_FREQ" ]; then
99   - WIRELESS_OPTS2="$WIRELESS_OPTS2 freq $WIRELESS_FREQ"
100   -fi
101   -if [ "$WIRELESS_RATE" ]; then
102   - WIRELESS_OPTS2="$WIRELESS_OPTS2 rate $WIRELESS_RATE"
103   -fi
104   -# Note: WIRELESS_ENC must appear as the last option
105   -if [ "$WIRELESS_ENC" -a "${WIRELESS_AUTO_IE:0:3}" != "WPA" ]; then
106   - WIRELESS_OPTS="$WIRELESS_OPTS key $WIRELESS_ENCMODE $WIRELESS_ENC"
107   -fi
108   -
109   -if [ "$WIRELESS_ESSID" -o "$WIRELESS_ENC" ]; then
110   - echo -n "Setting wireless options for ${DEVICE}: "
111   - ifconfig ${DEVICE} down
112   - iwconfig ${DEVICE} $WIRELESS_OPTS
113   - if [ "$WIRELESS_OPTS2" ]; then
114   - iwconfig ${DEVICE} $WIRELESS_OPTS2
115   - fi
116   - evaluate_retval
117   - echo
118   -
119   - if [ "${WIRELESS_AUTO_IE:0:3}" == "WPA" -a ! -e /var/run/wpa_supplicant/${DEVICE} ]; then
120   - echo -n "Setting WPA options for ${DEVICE}: "
121   - [ "$WIRELESS_AUTO_Authentication_Suites" ] || WIRELESS_AUTO_Authentication_Suites=PSK
122   - [ "$WIRELESS_AUTO_Pairwise_Ciphers" ] || WIRELESS_AUTO_Pairwise_Ciphers=TKIP
123   - [ "$WIRELESS_AUTO_Group_Cipher" ] || WIRELESS_AUTO_Group_Cipher=TKIP
124   - if [ "${WIRELESS_ENC:0:2}" = "s:" ]; then
125   - WPA_PSK=\"${WIRELESS_ENC/s:}\"
126   - else
127   - WPA_PSK=${WIRELESS_ENC}
128   - fi
129   - tmpfile1=`tempfile`
130   - cat >> $tmpfile1 << _EOF
131   -ctrl_interface=/var/run/wpa_supplicant
132   -network={
133   -scan_ssid=0
134   -ssid="$WIRELESS_ESSID"
135   -proto=WPA
136   -key_mgmt=WPA-$WIRELESS_AUTO_Authentication_Suites
137   -pairwise=$WIRELESS_AUTO_Pairwise_Ciphers
138   -group=$WIRELESS_AUTO_Group_Cipher
139   -psk=$WPA_PSK
140   -}
141   -_EOF
142   - wpa_supplicant -Dwext -i${DEVICE} -c $tmpfile1 -B
143   - evaluate_retval
144   - echo
145   - fi
146   -fi
etc/sysconfig/network-scripts/ifdown
  1 +/sbin/ifdown
etc/sysconfig/network-scripts/ifup
  1 +/sbin/ifup
etc/sysconfig/network-scripts/ifup-routes
  1 +#!/bin/sh
  2 +# adds static routes which go through device $1
  3 +
  4 +DEVICE="$1"
  5 +
  6 +if [ -z "${DEVICE}" ]; then
  7 + echo $"usage: ifup-routes <net-device>"
  8 + exit 1
  9 +fi
  10 +
  11 +[ -r /etc/sysconfig/static-routes ] || exit 0
  12 +
  13 +grep -v "^#\|^[ \t]*$" /etc/sysconfig/static-routes | while read dev args; do
  14 + [ "$dev" = "${DEVICE}" ] && /sbin/route add ${args} dev ${dev}
  15 +done
etc/sysconfig/network-scripts/ifup-wireless
  1 +#!/bin/sh
  2 +# Copyright (c) 2003-2009 by Silvan Calarco <silvan.calarco@mambasoft.it>
  3 +# Copyright (c) 2003-2009 by Davide Madrisan <davide.madrisan@gmail.com>
  4 +
  5 +# Only meant to be called from ifup.
  6 +
  7 +unset WIRELESS_OPTS WIRELESS_OPTS2
  8 +
  9 +if [ "$WIRELESS_ESSID" ]; then
  10 + tmpfile=`tempfile`
  11 + tmpfile1=`tempfile`
  12 +
  13 + if [ "$tmpfile" ]; then
  14 + ifconfig ${DEVICE} up
  15 +# sleep 1
  16 + unset vname found_essid
  17 + # Note: iwlist scan essid option does not work with all drivers (see man iwlist)
  18 + # so we split cell information below
  19 + iwlist ${DEVICE} scan essid $WIRELESS_ESSID > $tmpfile
  20 + # Note: sometimes iwlist scan fails with "Device or resource busy", so we try again
  21 + [ -s $tmpfile ] || {
  22 + ifconfig ${DEVICE} down
  23 + ifconfig ${DEVICE} up
  24 + iwlist ${DEVICE} scan essid $WIRELESS_ESSID > $tmpfile
  25 + }
  26 + cat $tmpfile | \
  27 + while read line; do
  28 + if [ "${line:0:5}" = "Cell " ]; then
  29 + [ "$found_essid" ] && break || > $tmpfile1
  30 + fi
  31 + echo $line >> $tmpfile1
  32 + [ "$line" = "ESSID:\"$WIRELESS_ESSID\"" ] && found_essid=1
  33 + done
  34 + > $tmpfile
  35 + cat $tmpfile1 | \
  36 + while read line; do
  37 + vname=${line/:*}
  38 + if [ "${line:0:4}" = "Cell" ]; then
  39 + vname="${line/* }"
  40 + vval=${line/*Address:}
  41 + vname="Address"
  42 + elif [ "${line/Unknown:}" != "$line" ]; then
  43 + continue
  44 + else
  45 + vname=${line/:*}
  46 + vname=`echo ${vname} | tr ' ' _`
  47 + vname=${vname/_(1)}
  48 + vval=${line/*:}
  49 + fi
  50 + vname=WIRELESS_AUTO_${vname/* }
  51 + vval=${vval/ }
  52 + vval=\"${vval/GHz*}\"
  53 + if [ "$vname" = "WIRELESS_AUTO_Mode" -o "$vname" = "WIRELESS_AUTO_Channel" -o \
  54 + "$vname" = "WIRELESS_AUTO_Address" -o "$vname" = "WIRELESS_AUTO_Frequency" -o \
  55 + "$vname" = "WIRELESS_AUTO_IE" -o "$vname" = "WIRELESS_AUTO_Group_Cipher" -o \
  56 + "$vname" = "WIRELESS_AUTO_Pairwise_Ciphers" -o "$vname" = "WIRELESS_AUTO_Authentication_Suites" ]; then
  57 + echo $vname=$vval >> $tmpfile
  58 + fi
  59 + done
  60 + . $tmpfile
  61 + rm -f $tmpfile $tmpfile1
  62 + else
  63 + echo "Warning: unable to create temporary file; skipping wireless autodetection"
  64 + fi
  65 +fi
  66 +
  67 +if [ "$WIRELESS_MODE" ]; then
  68 + WIRELESS_OPTS="$WIRELESS_OPTS mode $WIRELESS_MODE"
  69 + #elif [ "$WIRELESS_AUTO_MODE" ]; then
  70 + # WIRELESS_OPTS="$WIRELESS_OPTS mode $WIRELESS_AUTO_Mode"
  71 + #else
  72 + #WIRELESS_OPTS="$WIRELESS_OPTS mode managed"
  73 +fi
  74 +if [ ! "$WIRELESS_ENCMODE" ]; then
  75 + WIRELESS_ENCMODE="open"
  76 +fi
  77 +if [ "$WIRELESS_ESSID" ]; then
  78 + WIRELESS_OPTS="$WIRELESS_OPTS essid $WIRELESS_ESSID"
  79 +fi
  80 +if [ "$WIRELESS_NWID" ]; then
  81 + WIRELESS_OPTS="$WIRELESS_OPTS nwid $WIRELESS_NWID"
  82 +fi
  83 +if [ "$WIRELESS_CHANNEL" ]; then
  84 + WIRELESS_OPTS="$WIRELESS_OPTS channel $WIRELESS_CHANNEL"
  85 +elif [ "$WIRELESS_AUTO_Channel" ]; then
  86 + WIRELESS_OPTS="$WIRELESS_OPTS channel $WIRELESS_AUTO_Channel"
  87 +fi
  88 +if [ "$WIRELESS_FREQUENCY" ]; then
  89 + WIRELESS_OPTS="$WIRELESS_OPTS freq $WIRELESS_FREQUENCY"
  90 +elif [ "$WIRELESS_AUTO_Frequency" ]; then
  91 + WIRELESS_OPTS="$WIRELESS_OPTS freq ${WIRELESS_AUTO_Frequency}G"
  92 +fi
  93 +if [ "$WIRELESS_AP" ]; then
  94 + WIRELESS_OPTS2="$WIRELESS_OPTS2 ap $WIRELESS_AP"
  95 +elif [ "$WIRELESS_AUTO_Address" ]; then
  96 + WIRELESS_OPTS2="$WIRELESS_OPTS2 ap $WIRELESS_AUTO_Address"
  97 +fi
  98 +if [ "$WIRELESS_FREQ" ]; then
  99 + WIRELESS_OPTS2="$WIRELESS_OPTS2 freq $WIRELESS_FREQ"
  100 +fi
  101 +if [ "$WIRELESS_RATE" ]; then
  102 + WIRELESS_OPTS2="$WIRELESS_OPTS2 rate $WIRELESS_RATE"
  103 +fi
  104 +# Note: WIRELESS_ENC must appear as the last option
  105 +if [ "$WIRELESS_ENC" -a "${WIRELESS_AUTO_IE:0:3}" != "WPA" ]; then
  106 + WIRELESS_OPTS="$WIRELESS_OPTS key $WIRELESS_ENCMODE $WIRELESS_ENC"
  107 +fi
  108 +
  109 +if [ "$WIRELESS_ESSID" -o "$WIRELESS_ENC" ]; then
  110 + echo -n "Setting wireless options for ${DEVICE}: "
  111 + ifconfig ${DEVICE} down
  112 + iwconfig ${DEVICE} $WIRELESS_OPTS
  113 + if [ "$WIRELESS_OPTS2" ]; then
  114 + iwconfig ${DEVICE} $WIRELESS_OPTS2
  115 + fi
  116 + evaluate_retval
  117 + echo
  118 +
  119 + if [ "${WIRELESS_AUTO_IE:0:3}" == "WPA" -a ! -e /var/run/wpa_supplicant/${DEVICE} ]; then
  120 + echo -n "Setting WPA options for ${DEVICE}: "
  121 + [ "$WIRELESS_AUTO_Authentication_Suites" ] || WIRELESS_AUTO_Authentication_Suites=PSK
  122 + [ "$WIRELESS_AUTO_Pairwise_Ciphers" ] || WIRELESS_AUTO_Pairwise_Ciphers=TKIP
  123 + [ "$WIRELESS_AUTO_Group_Cipher" ] || WIRELESS_AUTO_Group_Cipher=TKIP
  124 + if [ "${WIRELESS_ENC:0:2}" = "s:" ]; then
  125 + WPA_PSK=\"${WIRELESS_ENC/s:}\"
  126 + else
  127 + WPA_PSK=${WIRELESS_ENC}
  128 + fi
  129 + tmpfile1=`tempfile`
  130 + cat >> $tmpfile1 << _EOF
  131 +ctrl_interface=/var/run/wpa_supplicant
  132 +network={
  133 +scan_ssid=0
  134 +ssid="$WIRELESS_ESSID"
  135 +proto=WPA
  136 +key_mgmt=WPA-$WIRELESS_AUTO_Authentication_Suites
  137 +pairwise=$WIRELESS_AUTO_Pairwise_Ciphers
  138 +group=$WIRELESS_AUTO_Group_Cipher
  139 +psk=$WPA_PSK
  140 +}
  141 +_EOF
  142 + wpa_supplicant -Dwext -i${DEVICE} -c $tmpfile1 -B
  143 + evaluate_retval
  144 + echo
  145 + fi
  146 +fi
... ... @@ -2,7 +2,7 @@
2 2 rc_functions=$rc_base/init.d/functions
3 3 rc_networkfunctions=$rc_base/init.d/network-functions
4 4  
5   -network_devices=/etc/sysconfig/network-devices
  5 +network_devices=/etc/sysconfig/network-scripts
6 6  
7 7 # multithread = 0: enable standard PosiX SysV5 init
8 8 # multithread = 1: enable fast openamba multithreaded init
1 1 #!/bin/bash
2   -# Copyright (c) 2003-2009 by Silvan Calarco <silvan.calarco@mambasoft.it>
  2 +# Copyright (c) 2003-2011 by Silvan Calarco <silvan.calarco@mambasoft.it>
3 3 # Copyright (c) 2003-2009 by Davide Madrisan <davide.madrisan@gmail.com>
4 4  
5 5 . /etc/sysconfig/rc
... ... @@ -9,8 +9,8 @@
9 9  
10 10 [ "${DEVICE}" ] || exit 1
11 11  
12   -[ -r $network_devices/ifconfig.${DEVICE} ] &&
13   - . $network_devices/ifconfig.${DEVICE}
  12 +[ -r $network_devices/ifcfg-${DEVICE} ] &&
  13 + . $network_devices/ifcfg-${DEVICE}
14 14  
15 15 if [ -x $network_devices/ifdown-${DEVICE} ]; then
16 16 $network_devices/ifdown-${DEVICE}
1 1 #!/bin/bash
2   -# Copyright (c) 2003-2009 by Silvan Calarco <silvan.calarco@mambasoft.it>
  2 +# Copyright (c) 2003-2011 by Silvan Calarco <silvan.calarco@mambasoft.it>
3 3 # Copyright (c) 2003-2009 by Davide Madrisan <davide.madrisan@gmail.com>
4 4  
5 5 . /etc/sysconfig/rc
... ... @@ -11,7 +11,7 @@
11 11 [ "${DEVICE}" ] || exit 1
12 12  
13 13 [ -r /etc/sysconfig/network ] && . /etc/sysconfig/network
14   -[ -r $network_devices/ifconfig.${DEVICE} ] && . $network_devices/ifconfig.${DEVICE}
  14 +[ -r $network_devices/ifcfg-${DEVICE} ] && . $network_devices/ifcfg-${DEVICE}
15 15  
16 16 [ "$2" = "--udev" -a "$ONBOOT" != "yes" -a "$ONBOOT" != "1" -a "$ONBOOT" != "true" ] \
17 17 && exit 0
... ... @@ -42,7 +42,7 @@
42 42 if [ "$IPADDR" ]; then
43 43 if [ -z "$NETMASK" ]; then
44 44 echo "\
45   -NETMASK variable missing in ifconfig.${DEVICE}, echo using 255.255.255.0"
  45 +NETMASK variable missing in ifcfg-${DEVICE}, echo using 255.255.255.0"
46 46 NETMASK=255.255.255.0
47 47 fi
48 48